
PLATFORM	= $(shell uname)
CC			=	g++
CXXFLAGS	=	-g -Wall -O3
LIBS		=	-lGL -lpng -ljpeg -lgsl -lgslcblas -lm

#Adding gthread Support 
GUI_CFLAGS += `pkg-config --cflags gthread-2.0`
GUI_LIBS += `pkg-config --libs gthread-2.0`

#Add GTK+-2.0 OpenGL Widget Support for GUI
GUI_CFLAGS += `pkg-config --cflags gtkglext-1.0`
GUI_LIBS += `pkg-config --libs gtkglext-1.0`

GUI_CFLAGS += `pkg-config gtkmm-2.4 --cflags`
GUI_LIBS += `pkg-config --libs gtkmm-2.4`



CXXFLAGS += $(GUI_CFLAGS) 
LIBS += $(GUI_LIBS)


SOURCES	:=	$(wildcard *.cc)  $(wildcard ../common/*.cc)
HEADERS	:=	$(wildcard *.h)  $(wildcard ../common/*.h)
OBJECTS :=  $(SOURCES:.cc=.o) 

.PHONY: all
all: wbDriver

%.o : %.cc
	@echo "Compilation de : " $<
	@$(CC) -c $(CXXFLAGS) -I../common/ $< -o $@ 

wbDriver: $(OBJECTS) $(HEADERS)
	@echo "Generation de wbDriver ..."
	@$(CC) -o $@ $(OBJECTS) $(LIBS) 

clean:
	@-rm -f wbDriver
	@-rm -f $(OBJECTS)

logclean:
	@-rm *.txt

distclean: clean
	@-rm -f *~

x: wbDriver
	./wbDriver

etags:
	rm -f TAGS
	etags ${SOURCES} ${HEADERS}
